
import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:hmg_patient_app_new/core/app_assets.dart';
import 'package:hmg_patient_app_new/core/app_export.dart';
import 'package:hmg_patient_app_new/extensions/string_extensions.dart';
import 'package:hmg_patient_app_new/extensions/widget_extensions.dart';
import 'package:hmg_patient_app_new/generated/locale_keys.g.dart';
import 'package:hmg_patient_app_new/theme/colors.dart';
import 'package:lottie/lottie.dart';

class RequestingServicesPage extends StatelessWidget {


  const RequestingServicesPage({super.key,});
  @override
  Widget build(BuildContext context) {
    return Material(
      color: AppColors.scaffoldBgColor,
      child: Stack(
        children: [
          Lottie.asset(AppAnimations.loadingAnimation,
                  width: 80.h,
                  height: 80.h,
                  repeat: true,
                  reverse: false,
                  frameRate: FrameRate(60),
                  fit: BoxFit.fill)
              .center,
          Positioned(
              bottom: 1,
              child: LocaleKeys.submitRequest.tr(context: context)
                  .toText16(color: AppColors.textColor, isBold: true)
                  .paddingOnly(bottom: 100.h, left: 100.h, right: 100.h))
        ],
      ),
    );
  }
}
